Add Workforce Agent
curl --request POST \
--url https://api.example.com/api/workforces/{workforce_id}/agents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"assignment_instructions": "<string>",
"source_type": "existing",
"agent_id": 123,
"alias": "<string>",
"enabled": true,
"sort_order": 123,
"canvas_position": {}
}
'import requests
url = "https://api.example.com/api/workforces/{workforce_id}/agents"
payload = {
"assignment_instructions": "<string>",
"source_type": "existing",
"agent_id": 123,
"alias": "<string>",
"enabled": True,
"sort_order": 123,
"canvas_position": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
assignment_instructions: '<string>',
source_type: 'existing',
agent_id: 123,
alias: '<string>',
enabled: true,
sort_order: 123,
canvas_position: {}
})
};
fetch('https://api.example.com/api/workforces/{workforce_id}/agents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Workforces
Add Workforce Agent
POST
/
api
/
workforces
/
{workforce_id}
/
agents
Add Workforce Agent
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful Response
The response is of type Response Add Workforce Agent Api Workforces Workforce Id Agents Post · object.
⌘I

